Skip to content

Get options menu for phones

Get options menu

API Key: SipDevice Auth Username in Query

Authenticate using a the credentials of a sip device

Parameter name
username
Located in
query
API Key: SipDevice Auth Password in Query

Authenticate using a the credentials of a sip device

Parameter name
password
Located in
query
user_id query · string *
Id of the user
User-Agent header · string
User agent used to determine the vendor and model of the phone
example: Yealink SIP-T53 XX.XX.YY.ZZ AA:BB:CC:DD:EE:FF

Responses

Phone options menu
Response schema
No response body.
get https://{username}.voxbi.cloud/api/{version}/phone/options
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/phone/options' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/phone/options', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/phone/options',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/phone/options', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.